Subject: Re: Nextcloud Client (v10)

From: Leo Prikler <[email-masked]>
Date: Sun, 21 Feb 2021 18:45:43 +0100

Hi Raghav,

Am Sonntag, den 21.02.2021, 12:04 -0500 schrieb Raghav Gururajan:
> Hi Leo!
> 
> > In the meantime, would you mind packaging those 3rdparty sources
> > from
> > their respective origins and add them in at build time?  That way,
> > all
> > we'd need to transition from pseudo-unbundled to actually unbundled
> > would be to drop one phase.
> 
> I was about to start doing it via 'copy-inputs, then noticed the
> source 
> content differs with the ones at QtSolutions. The files of 
> QtSingleApplication and QtLockedFile at QtSolutions were not
> modified 
> for many years, whereas, the files of QtSingleApplication and 
> QtLockedFile at nextcloud was last modified in 2020.
Looking at QtSingleApplication, the changes made by Nextcloud seem
rather cosmetic, so packaging the upstream version, which also had
"cosmetic" changes to it since their shared ancestor should not be an
issue.

Regards,
Leo